Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize pkgconfig(glib-2.0) pkgconfig(gthread-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# SPEC file for gnomad2, main target is Fedora.

Name:		gnomad2
Version:    	2.9.6
Release:	alt1_19

Summary:	A GNOME 2.0 client for the Creative Jukeboxes and Dell DJs
License:	GPLv2+
URL:		http://gnomad2.sourceforge.net

Source:		http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		gnomad2-2.9.6-format-security.patch

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:  gcc
BuildRequires:	gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel libgtk+2-gir-devel
BuildRequires:	libnjb-devel
BuildRequires:	libmtp-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libtag-devel
BuildRequires:	libgudev-devel libgudev-gir-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext gettext-tools
BuildRequires:	intltool
Source44: import.info

%description
Gnomad2 is a client for the Creative Nomad Jukeboxes, Zen, Zen USB 2.0, NX,
Xtra, Touch and Micro, plus the Dell DJs utilizing the libnjb library for
jukebox communication. Further it support MTP devices by way of libmtp,
including Samsung, iriver, SanDisk, Philips, JVC and many, many more.
It is used for storing MP3 (and WAV, WMA, OGG, MP4, AVI, MPEG) media files
on the  device and retrieving them again, it also handles data file storage
and retrieval, playlists and a rudimentary player with full support for the
Creative EAX sound processor on older jukebox devices.

%prep
%setup
%patch0 -p1

%build
%configure
%make_build

%install
%makeinstall
# Rename this so it matches the distribution
desktop-file-install --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
# Generate a list of all available translations
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/pixmaps/*
%doc AUTHORS NEWS README COPYING ChangeLog

%changelog
* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_19
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_18
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_17
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_16
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_12
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_11
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_10
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_7
- update to new release by fcimport

* Sat Apr 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_6
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_5
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 2.9.6-alt1_4
- initial fc import

